Bug 2236879 - CVE-2023-36328 libtommath: Integer Overflow vulnerability in mp_grow in libtom [fedora-all]
Summary: CVE-2023-36328 libtommath: Integer Overflow vulnerability in mp_grow in libto...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtommath
Version: 38
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Frantisek Sumsal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-36328
TreeView+ depends on / blocked
 
Reported: 2023-09-01 20:39 UTC by Chess Hazlett
Modified: 2023-09-18 01:37 UTC (History)
2 users (show)

Fixed In Version: libtommath-1.2.0-12.fc38 libtommath-1.2.0-13.fc39 libtommath-1.2.0-11.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-05 00:41:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Chess Hazlett 2023-09-01 20:39:53 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2236877

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Chess Hazlett 2023-09-01 20:39:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2236877,2236879

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-09-02 20:27:06 UTC
FEDORA-2023-f357a25877 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f357a25877

Comment 3 Fedora Update System 2023-09-02 20:43:20 UTC
FEDORA-2023-69b85312f0 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-69b85312f0

Comment 4 Fedora Update System 2023-09-02 20:59:57 UTC
FEDORA-2023-f5680e3b4b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f5680e3b4b

Comment 5 Fedora Update System 2023-09-03 01:33:19 UTC
FEDORA-2023-f5680e3b4b has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f5680e3b4b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f5680e3b4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-03 02:13:20 UTC
FEDORA-2023-f357a25877 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f357a25877`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f357a25877

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-03 02:22:57 UTC
FEDORA-2023-69b85312f0 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-69b85312f0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-69b85312f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-05 00:41:11 UTC
FEDORA-2023-69b85312f0 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-09-18 00:15:48 UTC
FEDORA-2023-f357a25877 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-09-18 01:37:11 UTC
FEDORA-2023-f5680e3b4b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.